Package org.flowable.common.engine.api.delegate

# Interface FlowableMultiFunctionDelegate

All Superinterfaces:
  `FlowableFunctionDelegate`

public interface FlowableMultiFunctionDelegate extends FlowableFunctionDelegate

Author:
  Filip Hrisafov

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default Method`
  `functionMethod()`
  Returns the method that is invoked by JUEL.
  `Method`
  `functionMethod(String prefix, String localName)`
  `default String`
  `localName()`
  The name of the method when used in an expression, like the second part of ${prefix:method()}.
  `Collection<String>`
  `localNames()`
  All the names of the method when used in an expression, like the second part of ${prefix:method()}.

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.FlowableFunctionDelegate

  `prefix, prefixes`

- ## Method Details

  - ### localName

    default String localName()
    Description copied from interface: `FlowableFunctionDelegate`
    The name of the method when used in an expression, like the second part of ${prefix:method()}. Will be used to match the text of the expression to the actual `FlowableFunctionDelegate` instance.
    Specified by:
      `localName` in interface `FlowableFunctionDelegate`

  - ### localNames

    Collection<String> localNames()
    Description copied from interface: `FlowableFunctionDelegate`
    All the names of the method when used in an expression, like the second part of ${prefix:method()}. It allows one method to cover multiple local names. e.g. `${prefix:method()}` or `${prefix:alternativeMethod()}`. Will be used to match the text of the expression to the actual `FlowableFunctionDelegate` instance.
    Specified by:
      `localNames` in interface `FlowableFunctionDelegate`

  - ### functionMethod

    default Method functionMethod()
    Description copied from interface: `FlowableFunctionDelegate`
    Returns the method that is invoked by JUEL.
    Specified by:
      `functionMethod` in interface `FlowableFunctionDelegate`

  - ### functionMethod

    Method functionMethod(String prefix, String localName) throws NoSuchMethodException
    Specified by:
      `functionMethod` in interface `FlowableFunctionDelegate`
    Throws:
      `NoSuchMethodException`